Skip to main content

Upload file by url.

POST 

/storage/upload

Description: Retrieve a file URL to upload. When your upload finish, send the confirmation and you can download your file.

Request

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

Body

required
    file_date daterequired

    The reference file date. Format: YYYY-MM-DD.

    file_name stringrequired

    The name of the file with extension.

    folder_name stringrequired

    Folder name. The requested value will be concatenated with the identifier of the user making the request.

    file_type stringrequired

    Possible values: [DAILY_BALANCE_SUMMARY, DAILY_BALANCE_SUMMARY_DETAILED, REPORT_STATEMENTS, REPORT_PIX_STATEMENTS, REPORT_PIX_STATEMENTS_PRODUCT, REPORT_OPERATION_STATEMENTS, REPORT_OPERATION_STATEMENTS_PRODUCT, REPORT_TRANSACTION_SUMMARY_PRODUCT, REPORT_INTERNATIONAL_STATEMENTS, CARD_CLEARING, BANKING_BILLET_DEPOSIT, ONBOARDING_DOCUMENTS, LEGAL_PERSON_ONBOARDING_DOCUMENTS, CARD_ONBOARDING_DOCUMENTS, COMPANY_DOCUMENTS, REPORT_ENDR, OTHERS, OPERATION_RECEIPT, QUOTE_RECEIPT, PIX_REFUND_FILES, BANKING_BILLET_PIX_DEPOSIT_BATCH_FILE, PIX_FUND_RECOVERY_REQUEST_FILES, CROSSBORDER_CLIENT_DOCUMENT, CROSSBORDER_CLIENT_ACCOUNT_DOCUMENT, CROSSBORDER_CLIENT_WALLET_DOCUMENT, CROSSBORDER_QUOTE_DOCUMENT, CROSSBORDER_COUNTERPARTY_DOCUMENT, CROSSBORDER_COUNTERPARTY_WALLET_DOCUMENT, REPORT_QUOTE_STATEMENTS]

    File type.

    gateway_name stringrequired

    Possible values: [AWS_S3, AWS_S3_ARCHIVE, AWS_S3_DOCUMENT, AWS_S3_STATIC_FILES, FILE_STORAGE]

    The destination gateway for this file.

Responses

File URL returned successfully.

Schema
    file_id stringrequired

    File ID

    url stringrequired

    File URL

Loading...